Skip to main content
GET
/
v1
/
installments-plans
List installment plans
curl --request GET \
  --url https://api-sandbox.y.uno/v1/installments-plans \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
[
  {
    "id": "3e599453-e147-4d1c-8643-73e4d980c2ae",
    "name": "Standard Plan",
    "account_id": [
      "1a3a576a-01d0-40ff-a68e-494f82145773"
    ],
    "merchant_reference": "001 08 Agosto 2023",
    "installments_plan": [
      {
        "installment": 1,
        "rate": 1
      },
      {
        "installment": 2,
        "rate": 1.294
      },
      {
        "installment": 12,
        "rate": 1.525
      }
    ],
    "brand": null,
    "iin": null,
    "country_code": "BR",
    "first_installment_deferral": 1,
    "amount": {
      "Currency": "BRL",
      "min_value": 0,
      "max_value": 10000000000
    }
  }
]

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
starting_after
string

Cursor for forward pagination. Pass the ID of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Pass the ID of the first item from the previous page.

Response

200 - application/json

List of installment plans

id
string<uuid>

Unique installment plan identifier

Example:

"3e599453-e147-4d1c-8643-73e4d980c2ae"

name
string
Example:

"Standard Plan"

account_id
string<uuid>[]
Example:
["1a3a576a-01d0-40ff-a68e-494f82145773"]
merchant_reference
string
Example:

"001 08 Agosto 2023"

installments_plan
object[]
brand
string | null
iin
string | null
country_code
string
Example:

"BR"

first_installment_deferral
integer

Number of periods before first installment

Example:

1

amount
object